Skip to content

cluster / notifications ​

31 operations.

GET /cluster/notifications ​

ts
proxmox.cluster.notifications.$get()

Index for notification-related API endpoints.

Returns an array of object.

GET /cluster/notifications/endpoints ​

ts
proxmox.cluster.notifications.endpoints.$get()

Index for all available endpoint types.

Returns an array of object.

GET /cluster/notifications/endpoints/gotify ​

ts
proxmox.cluster.notifications.endpoints.gotify.$get()

Returns a list of all gotify endpoints

Returns an array of object.

POST /cluster/notifications/endpoints/gotify ​

ts
proxmox.cluster.notifications.endpoints.gotify.$post()

Create a new gotify endpoint

Returns nothing.

ParameterTypeRequiredNotes
commentstringComment
disablebooleanDisable this target — default 0
namestringyesThe name of the endpoint. — format pve-configid
serverstringyesServer URL
tokenstringyesSecret token

GET /cluster/notifications/endpoints/gotify/{name} ​

ts
proxmox.cluster.notifications.endpoints.gotify.$(name).$get()

Return a specific gotify endpoint

Returns object.

ParameterTypeRequiredNotes
namestringyesName of the endpoint. — format pve-configid

PUT /cluster/notifications/endpoints/gotify/{name} ​

ts
proxmox.cluster.notifications.endpoints.gotify.$(name).$put()

Update existing gotify endpoint

Returns nothing.

ParameterTypeRequiredNotes
commentstringComment
deletestring[]A list of settings you want to delete.
digeststringPrevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars
disablebooleanDisable this target — default 0
namestringyesThe name of the endpoint. — format pve-configid
serverstringServer URL
tokenstringSecret token

DELETE /cluster/notifications/endpoints/gotify/{name} ​

ts
proxmox.cluster.notifications.endpoints.gotify.$(name).$delete()

Remove gotify endpoint

Returns nothing.

ParameterTypeRequiredNotes
namestringyesformat pve-configid

GET /cluster/notifications/endpoints/sendmail ​

ts
proxmox.cluster.notifications.endpoints.sendmail.$get()

Returns a list of all sendmail endpoints

Returns an array of object.

POST /cluster/notifications/endpoints/sendmail ​

ts
proxmox.cluster.notifications.endpoints.sendmail.$post()

Create a new sendmail endpoint

Returns nothing.

ParameterTypeRequiredNotes
authorstringAuthor of the mail
commentstringComment
disablebooleanDisable this target — default 0
from-addressstringFrom address for the mail
mailtostring[]List of email recipients
mailto-userstring[]List of users
namestringyesThe name of the endpoint. — format pve-configid

GET /cluster/notifications/endpoints/sendmail/{name} ​

ts
proxmox.cluster.notifications.endpoints.sendmail.$(name).$get()

Return a specific sendmail endpoint

Returns object.

ParameterTypeRequiredNotes
namestringyesformat pve-configid

PUT /cluster/notifications/endpoints/sendmail/{name} ​

ts
proxmox.cluster.notifications.endpoints.sendmail.$(name).$put()

Update existing sendmail endpoint

Returns nothing.

ParameterTypeRequiredNotes
authorstringAuthor of the mail
commentstringComment
deletestring[]A list of settings you want to delete.
digeststringPrevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars
disablebooleanDisable this target — default 0
from-addressstringFrom address for the mail
mailtostring[]List of email recipients
mailto-userstring[]List of users
namestringyesThe name of the endpoint. — format pve-configid

DELETE /cluster/notifications/endpoints/sendmail/{name} ​

ts
proxmox.cluster.notifications.endpoints.sendmail.$(name).$delete()

Remove sendmail endpoint

Returns nothing.

ParameterTypeRequiredNotes
namestringyesformat pve-configid

GET /cluster/notifications/endpoints/smtp ​

ts
proxmox.cluster.notifications.endpoints.smtp.$get()

Returns a list of all smtp endpoints

Returns an array of object.

POST /cluster/notifications/endpoints/smtp ​

ts
proxmox.cluster.notifications.endpoints.smtp.$post()

Create a new smtp endpoint

Returns nothing.

ParameterTypeRequiredNotes
authorstringAuthor of the mail. Defaults to 'Proxmox VE'.
commentstringComment
disablebooleanDisable this target — default 0
from-addressstringyesFrom address for the mail
mailtostring[]List of email recipients
mailto-userstring[]List of users
modeinsecure | starttls | tlsDetermine which encryption method shall be used for the connection. — default "tls"
namestringyesThe name of the endpoint. — format pve-configid
passwordstringPassword for SMTP authentication
portnumberThe port to be used. Defaults to 465 for TLS based connections, 587 for STARTTLS based connections and port 25 for insecure plain-text connections.
serverstringyesThe address of the SMTP server.
usernamestringUsername for SMTP authentication

GET /cluster/notifications/endpoints/smtp/{name} ​

ts
proxmox.cluster.notifications.endpoints.smtp.$(name).$get()

Return a specific smtp endpoint

Returns object.

ParameterTypeRequiredNotes
namestringyesformat pve-configid

PUT /cluster/notifications/endpoints/smtp/{name} ​

ts
proxmox.cluster.notifications.endpoints.smtp.$(name).$put()

Update existing smtp endpoint

Returns nothing.

ParameterTypeRequiredNotes
authorstringAuthor of the mail. Defaults to 'Proxmox VE'.
commentstringComment
deletestring[]A list of settings you want to delete.
digeststringPrevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars
disablebooleanDisable this target — default 0
from-addressstringFrom address for the mail
mailtostring[]List of email recipients
mailto-userstring[]List of users
modeinsecure | starttls | tlsDetermine which encryption method shall be used for the connection. — default "tls"
namestringyesThe name of the endpoint. — format pve-configid
passwordstringPassword for SMTP authentication
portnumberThe port to be used. Defaults to 465 for TLS based connections, 587 for STARTTLS based connections and port 25 for insecure plain-text connections.
serverstringThe address of the SMTP server.
usernamestringUsername for SMTP authentication

DELETE /cluster/notifications/endpoints/smtp/{name} ​

ts
proxmox.cluster.notifications.endpoints.smtp.$(name).$delete()

Remove smtp endpoint

Returns nothing.

ParameterTypeRequiredNotes
namestringyesformat pve-configid

GET /cluster/notifications/endpoints/webhook ​

ts
proxmox.cluster.notifications.endpoints.webhook.$get()

Returns a list of all webhook endpoints

Returns an array of object.

POST /cluster/notifications/endpoints/webhook ​

ts
proxmox.cluster.notifications.endpoints.webhook.$post()

Create a new webhook endpoint

Returns nothing.

ParameterTypeRequiredNotes
bodystringHTTP body, base64 encoded
commentstringComment
disablebooleanDisable this target — default 0
headerstring[]HTTP headers to set. These have to be formatted as a property string in the format name=<name>,value=<base64 of value>
methodpost | put | getyesHTTP method
namestringyesThe name of the endpoint. — format pve-configid
secretstring[]Secrets to set. These have to be formatted as a property string in the format name=<name>,value=<base64 of value>
urlstringyesServer URL

GET /cluster/notifications/endpoints/webhook/{name} ​

ts
proxmox.cluster.notifications.endpoints.webhook.$(name).$get()

Return a specific webhook endpoint

Returns object.

ParameterTypeRequiredNotes
namestringyesName of the endpoint. — format pve-configid

PUT /cluster/notifications/endpoints/webhook/{name} ​

ts
proxmox.cluster.notifications.endpoints.webhook.$(name).$put()

Update existing webhook endpoint

Returns nothing.

ParameterTypeRequiredNotes
bodystringHTTP body, base64 encoded
commentstringComment
deletestring[]A list of settings you want to delete.
digeststringPrevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars
disablebooleanDisable this target — default 0
headerstring[]HTTP headers to set. These have to be formatted as a property string in the format name=<name>,value=<base64 of value>
methodpost | put | getHTTP method
namestringyesThe name of the endpoint. — format pve-configid
secretstring[]Secrets to set. These have to be formatted as a property string in the format name=<name>,value=<base64 of value>
urlstringServer URL

DELETE /cluster/notifications/endpoints/webhook/{name} ​

ts
proxmox.cluster.notifications.endpoints.webhook.$(name).$delete()

Remove webhook endpoint

Returns nothing.

ParameterTypeRequiredNotes
namestringyesformat pve-configid

GET /cluster/notifications/matcher-field-values ​

ts
proxmox.cluster.notifications["matcher-field-values"].$get()

Returns known notification metadata fields and their known values

Returns an array of object.

GET /cluster/notifications/matcher-fields ​

ts
proxmox.cluster.notifications["matcher-fields"].$get()

Returns known notification metadata fields

Returns an array of object.

GET /cluster/notifications/matchers ​

ts
proxmox.cluster.notifications.matchers.$get()

Returns a list of all matchers

Returns an array of object.

POST /cluster/notifications/matchers ​

ts
proxmox.cluster.notifications.matchers.$post()

Create a new matcher

Returns nothing.

ParameterTypeRequiredNotes
commentstringComment
disablebooleanDisable this matcher — default 0
invert-matchbooleanInvert match of the whole matcher
match-calendarstring[]Match notification timestamp
match-fieldstring[]Metadata fields to match (regex or exact match). Must be in the form (regex|exact):<field>=<value>
match-severitystring[]Notification severities to match
modeall | anyChoose between 'all' and 'any' for when multiple properties are specified — default "all"
namestringyesName of the matcher. — format pve-configid
targetstring[]Targets to notify on match

GET /cluster/notifications/matchers/{name} ​

ts
proxmox.cluster.notifications.matchers.$(name).$get()

Return a specific matcher

Returns object.

ParameterTypeRequiredNotes
namestringyesformat pve-configid

PUT /cluster/notifications/matchers/{name} ​

ts
proxmox.cluster.notifications.matchers.$(name).$put()

Update existing matcher

Returns nothing.

ParameterTypeRequiredNotes
commentstringComment
deletestring[]A list of settings you want to delete.
digeststringPrevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars
disablebooleanDisable this matcher — default 0
invert-matchbooleanInvert match of the whole matcher
match-calendarstring[]Match notification timestamp
match-fieldstring[]Metadata fields to match (regex or exact match). Must be in the form (regex|exact):<field>=<value>
match-severitystring[]Notification severities to match
modeall | anyChoose between 'all' and 'any' for when multiple properties are specified — default "all"
namestringyesName of the matcher. — format pve-configid
targetstring[]Targets to notify on match

DELETE /cluster/notifications/matchers/{name} ​

ts
proxmox.cluster.notifications.matchers.$(name).$delete()

Remove matcher

Returns nothing.

ParameterTypeRequiredNotes
namestringyesformat pve-configid

GET /cluster/notifications/targets ​

ts
proxmox.cluster.notifications.targets.$get()

Returns a list of all entities that can be used as notification targets.

Returns an array of object.

POST /cluster/notifications/targets/{name}/test ​

ts
proxmox.cluster.notifications.targets.$(name).test.$post()

Send a test notification to a provided target.

Returns nothing.

ParameterTypeRequiredNotes
namestringyesName of the target. — format pve-configid